Skip to main content
GET
Retrieve an external account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
counterPartyId
string
required

Public ID of the counter party (prefixed with cpty_)

externalAccountId
string
required

Public ID of the external account (prefixed with extacct_)

Response

External account retrieved successfully.

An external account.

id
string

Public ID of the external account (prefixed with extacct_).

Example:

"extacct_9aB0xY4mNpXwZ7bV1aLdt"

userId
string

Public ID of the user this account belongs to (prefixed with usr_).

Example:

"usr_3Kf9dQ2mNpXwZ7bV1aLcs"

counterPartyId
string

Public ID of the counter party this account belongs to (prefixed with cpty_).

Example:

"cpty_7dLpR2mNpXwZ7bV1aQz3x"

accountNumber
string

Masked bank account number.

Example:

"****6789"

routingNumber
string

ABA routing number.

Example:

"021000021"

accountType
enum<string>
Available options:
CHECKING,
SAVINGS
Example:

"CHECKING"

iban
string

Masked IBAN.

Example:

"****6789"

swiftCode
string

SWIFT/BIC code.

Example:

"DEUTDEFF"

sortCode
string

Sort code.

Example:

"123456"

pixKey
string

Masked PIX key (EVP format).

Example:

"****4000"

phoneNumber
string

Masked phone number.

Example:

"+57*****4567"

email
string

Masked email (PIX key, Brazil only).

Example:

"j***e@e*****e.com"

cpf
string

Masked CPF (PIX key, Brazil only).

Example:

"****8901"

cnpj
string

Masked CNPJ (PIX key, Brazil only).

Example:

"****1234"

bankName
string
Example:

"Chase Bank"

bankAddress
object

Address of the beneficiary bank.

currency
enum<string>
Available options:
USD,
EUR,
BRL,
NGN,
KES,
TZS,
UGX,
BWP,
XAF,
MWK,
RWF,
ZMW,
XOF,
ZAR,
MXN,
PHP,
AED,
HKD,
CNY,
COP,
ARS,
SGD,
GBP
Example:

"USD"

transferType
enum<string>
Available options:
ACH,
WIRE,
SWIFT,
RTP,
PIX,
SPEI,
CHATS,
FPS,
CIPS,
SEPA,
INSTAPAY,
PESONET,
NEQUI,
BANK
Example:

"ACH"

fpsId
string

Masked Faster Payment System identifier.

Example:

"****6789"

clabe
string

Masked CLABE number.

Example:

"****9719"

status
enum<string>
Available options:
ACTIVE,
INACTIVE
Example:

"ACTIVE"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"